﻿using System;
using MySql.Data.MySqlClient;

namespace MySQL_Repro_App
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                using (var connection = new MySqlConnection("server=localhost;database=new_schema;compress=false;user id=root;password=root;ignoreprepare=false;sslmode=None"))
                {
                    connection.Open();
                    using (var cmd = new MySqlCommand("UPDATE example SET two = @Two, three = @Three, four = @Four, five = @Five, six = @Six WHERE one = @One", connection))
                    {
                        cmd.Parameters.AddWithValue("@Two", 0).MySqlDbType = MySqlDbType.Int32;
                        cmd.Parameters.AddWithValue("@Three", 0).MySqlDbType = MySqlDbType.Int32;
                        cmd.Parameters.AddWithValue("@Four", false).MySqlDbType = MySqlDbType.Byte;
                        cmd.Parameters.AddWithValue("@Five", "[]").MySqlDbType = MySqlDbType.JSON;
                        cmd.Parameters.AddWithValue("@Six", DateTime.Now).MySqlDbType = MySqlDbType.DateTime;
                        cmd.Parameters.AddWithValue("@One", "test").MySqlDbType = MySqlDbType.VarChar;
                        cmd.Prepare();
                        cmd.ExecuteNonQuery();
                        Console.WriteLine("It worked!");
                    }
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("It failed:");
                Console.WriteLine(e);
            }
            Console.ReadLine();
        }
    }
}
